Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.dialogs
Interface IOverwriteQuery

All Known Implementing Classes:
  NavigatorDropAdapter, WizardDataTransferPage

public interface IOverwriteQuery

Implementors of this interface answer one of the prescribed return codes when asked whether to overwrite a certain path string (which could represent a resource path, a file system path, etc).

Field Summary
`static String` | `ALL` Return code indicating the entity should be overwritten, and all subsequent entities should be overwritten without prompting.
`static String` | `CANCEL` Return code indicating the operation should be canceled.
`static String` | `NO` Return code indicating the entity should not be overwritten, but operation should not be canceled.
`static String` | `NO_ALL` Return code indicating the entity should not be overwritten, and all subsequent entities should not be overwritten without prompting.
`static String` | `YES` Return code indicating the entity should be overwritten.

Method Summary
`String` | `queryOverwrite(String pathString)` Returns one of the return code constants declared on this interface, indicating whether the entity represented by the passed String should be overwritten.

Field Detail

### CANCEL

    public static final String CANCEL

  Return code indicating the operation should be canceled.

  See Also:
    Constant Field Values

### NO

    public static final String NO

  Return code indicating the entity should not be overwritten, but operation should not be canceled.

  See Also:
    Constant Field Values

### YES

    public static final String YES

  Return code indicating the entity should be overwritten.

  See Also:
    Constant Field Values

### ALL

    public static final String ALL

  Return code indicating the entity should be overwritten, and all subsequent entities should be overwritten without prompting.

  See Also:
    Constant Field Values

### NO_ALL

    public static final String NO_ALL

  Return code indicating the entity should not be overwritten, and all subsequent entities should not be overwritten without prompting.

  See Also:
    Constant Field Values

Method Detail

### queryOverwrite

    public String queryOverwrite(String pathString)

  Returns one of the return code constants declared on this interface, indicating whether the entity represented by the passed String should be overwritten.

  This method may be called from a non-UI thread, in which case this method must run the query in a sync exec in the UI thread, if it needs to query the user.

  Parameters:
    `pathString` - the path representing the entity to be overwritten
  Returns:
    one of the return code constants declared on this interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.